#!/bin/sh

# Copyright Trinityworks Inc.
# install.sh

############ KEXT
KEXTNAME="WinKPro.kext"
KEXTSRC="$1/$KEXTNAME"
KEXTDIR="/Library/Extensions"
KEXTDEST="$KEXTDIR/$KEXTNAME"

if [ -e "$KEXTSRC" ] ; then
	/bin/cp -fR "$KEXTSRC" "$KEXTDIR"
fi

if [ -e "$KEXTDEST" ] ; then
	/usr/sbin/chown -R root:wheel "$KEXTDEST"
	/usr/bin/find "$KEXTDEST" -type d -exec /bin/chmod 0755 {} \;
	/usr/bin/find "$KEXTDEST" -type f -exec /bin/chmod 0644 {} \;
	/usr/bin/touch "$KEXTDIR"
fi

############ PANE
PREFNAME="WinKPro.prefPane"
PREFSRC="$1/$PREFNAME"
PREFDIR="/Library/PreferencePanes"
PREFDEST="$PREFDIR/$PREFNAME"

if [ -e "$PREFSRC" ] ; then
	/bin/cp -fpR "$PREFSRC" "$PREFDIR"
fi

if [ -e "$PREFDEST" ] ; then
	/usr/sbin/chown -R root:wheel "$PREFDEST"
	/usr/bin/find "$PREFDEST" -type d -exec /bin/chmod 0755 {} \;
	/usr/bin/find "$PREFDEST" -type f -exec /bin/chmod 0644 {} \;
	/bin/chmod 0755 "$PREFDEST/Contents/Resources/winkprod"
fi


############ LaunchAgents
#LAUNCHNAME="jp.co.trinityworks.launchd.winkprod.plist"
#LAUNCHSRC="$1/$LAUNCHNAME"
#LAUNCHDIR="$2/LaunchAgents"
#LAUNCHDEST="$LAUNCHDIR/$LAUNCHNAME"
#if [ -e "$LAUNCHSRC" ] ; then
#	/bin/cp -fp "$LAUNCHSRC" "$LAUNCHDIR"
#fi


